Legacy (v0)
Get legacy themes
Returns one of the company’s legacy MySite themes with its template, including private themes. Returns 404 when the theme does not belong to the company. Requires a company admin Bearer token; admin users, company API tokens, and partner tokens also need the my_site_themes view permission.
GET
/
api
/
legacy_themes
/
{id}
Get legacy themes
curl --request GET \
--url https://api.fluid.app/api/legacy_themes/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/legacy_themes/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/legacy_themes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/legacy_themes/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/legacy_themes/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/legacy_themes/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/legacy_themes/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"legacy_theme": {
"id": 3187,
"name": "Scranton Classic",
"description": "Clean white layout with the Dunder Mifflin logo and a featured paper product.",
"image_url": "https://cdn.fluid.app/themes/dunder-mifflin/scranton-classic.png",
"public": true,
"company_id": 1405,
"template": {
"id": 55210,
"name": "Scranton Classic",
"content": "<section class=\"hero\"><h1>{{ member.full_name }}</h1><p>Your Dunder Mifflin paper rep</p></section>",
"stylesheet": ".hero { background: #ffffff; color: #1d3c6e; }",
"head": "<link rel=\"preconnect\" href=\"https://cdn.fluid.app\">",
"status": "active"
}
},
"meta": {
"request_id": "1c6a9e42-d7b3-4f05-8e21-7b4f0d3a9c58",
"timestamp": "2026-09-22T10:20:31Z"
}
}{
"message": "<string>"
}⌘I
Get legacy themes
curl --request GET \
--url https://api.fluid.app/api/legacy_themes/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/legacy_themes/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/legacy_themes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/legacy_themes/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/legacy_themes/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/legacy_themes/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/legacy_themes/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"legacy_theme": {
"id": 3187,
"name": "Scranton Classic",
"description": "Clean white layout with the Dunder Mifflin logo and a featured paper product.",
"image_url": "https://cdn.fluid.app/themes/dunder-mifflin/scranton-classic.png",
"public": true,
"company_id": 1405,
"template": {
"id": 55210,
"name": "Scranton Classic",
"content": "<section class=\"hero\"><h1>{{ member.full_name }}</h1><p>Your Dunder Mifflin paper rep</p></section>",
"stylesheet": ".hero { background: #ffffff; color: #1d3c6e; }",
"head": "<link rel=\"preconnect\" href=\"https://cdn.fluid.app\">",
"status": "active"
}
},
"meta": {
"request_id": "1c6a9e42-d7b3-4f05-8e21-7b4f0d3a9c58",
"timestamp": "2026-09-22T10:20:31Z"
}
}{
"message": "<string>"
}